<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Lifecycle\Request;

use PpPhp\Core\Platform\Event\Lifecycle\LifecycleEvent;

final class RouteMatched extends LifecycleEvent
{
    public function __construct(array $payload = [], array $metadata = [])
    {
        parent::__construct('platform.request.route_matched', 'request', 'route_matched', 'route', $payload, $metadata);
    }
}
